#include<iostream>
using namespace std;
void unos(int n, int a[], double p[]){
    for(int i=0;i<n;i++)
        cin>>a[i]>>p[i];
}
double maks(int n, double x[]){
    double m = x[0];
    for(int i=0;i<n;i++)
        if(x[i]>m)
           m=x[i];
    return m;
}
double suma(int n, double x[]){
    double s=0;
    for(int i=0;i<n;i++)
        s+=x[i];
    return s;
}
int main(){
    int n;
    cin>>n;
    int a[n];
    double p[n], s[n];
    unos(n, a, p);
    for(int i=0;i<n;i++)
        for(int j=0;j<n;j++)
            if(p[i]<=p[j])
                    s[i]=s[i]+(p[i]/100)*a[j];
    double m = maks(n, s);
    cout<<m;
    return 0;
}